# Memcached::prependByKey

(PECL memcached >= 0.1.0)

Memcached::prependByKey — Prepend data to an existing item on a specific server

### Beschreibung

public Memcached::prependByKey(string `$server_key`, string `$key`, string `$value`): ?bool

Memcached::prependByKey() is functionally equivalent to Memcached::prepend(), except that the free-form `server_key` can be used to map the `key` to a specific server.

### Parameter-Liste

`server_key`

  Ein Schlüssel, der den Server bestimmt, auf dem die Daten abgelegt oder von dem Daten abgerufen werden sollen. Anstatt den tatsächlichen Schlüssel des Wertes zu hashen, wird der Server-Key gehasht, um den Memcached-Server ausfindig zu machen, mit dem gesprochen werden soll. Dies erlaubt es, alle zusammengehörigen Daten auf einem einzigen Server abzulegen, um multiple Operationen effizienter zu gestalten.

`key`

  The key of the item to prepend the data to.

`value`

  The string to prepend.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben. Returns `null` when compression is on.

### Fehler/Exceptions

Returns `null` and raises an `E_WARNING` when compression is enabled.

### Siehe auch

- Memcached::prepend() - Prepend data to an existing item
- Memcached::append() - Append data to an existing item

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open